:REM ***************************************************************************
:REM * INSTALL.BAT - Transfer command files and other modules from
:REM *		     the PC Network Program diskette onto Installed
:REM *		     diskette or hardfile.
:REM *
:REM * Format:-  INSTALL d: {fd [share] | ds | hc}
:REM *
:REM * note: d: - destination drive,  share - server configuration,
:REM *	     ds - double sided diskette, hc - high capacity diskette,
:REM *	     fd - fixedisk
:REM ***************************************************************************
ECHO OFF
IF NOT EXIST NETWORK1.SCN GOTO NO_NET
IF %1. == . GOTO MISSING
IF %2. == . GOTO MISSING
IF %3. == . GOTO 2PARAM
IF NOT %4. == . GOTO TOOMANY
IF NOT %3. == SHARE. GOTO MISMACH
GOTO MATCHED
:MISMACH
IF NOT %3. == share. GOTO INVALID
:MATCHED
FOR %%F IN (A:,a:,B:,b:,C:,c:,D:,d:,E:,e:,F:,f:) DO IF %1. == %%F. GOTO FIXDISK
FOR %%F IN (G:,g:,H:,h:,I:,i:,J:,j:,K:,k:,L:,l:) DO IF %1. == %%F. GOTO FIXDISK
FOR %%F IN (M:,m:,N:,n:,O:,o:,P:,p:,Q:,q:,R:,r:) DO IF %1. == %%F. GOTO FIXDISK
FOR %%F IN (S:,s:,T:,t:,U:,u:,V:,v:,W:,w:,X:,x:) DO IF %1. == %%F. GOTO FIXDISK
FOR %%F IN (Y:,y:,Z:,z:) DO IF %1. == %%F. GOTO FIXDISK
GOTO BADDRIVE
:FIXDISK
IF %2. == FD. GOTO SERVER
IF %2. == fd. GOTO SERVER
GOTO INVALID
:2PARAM
FOR %%F IN (A:,a:,B:,b:,C:,c:,D:,d:,E:,e:,F:,f:) DO IF %1. == %%F. GOTO TYPE
FOR %%F IN (G:,g:,H:,h:,I:,i:,J:,j:,K:,k:,L:,l:) DO IF %1. == %%F. GOTO TYPE
FOR %%F IN (M:,m:,N:,n:,O:,o:,P:,p:,Q:,q:,R:,r:) DO IF %1. == %%F. GOTO TYPE
FOR %%F IN (S:,s:,T:,t:,U:,u:,V:,v:,W:,w:,X:,x:) DO IF %1. == %%F. GOTO TYPE
FOR %%F IN (Y:,y:,Z:,z:) DO IF %1. == %%F. GOTO TYPE
GOTO BADDRIVE
:TYPE
IF %2. == FD. GOTO NOSERV
IF %2. == fd. GOTO NOSERV
IF %2. == HC. GOTO NOSERV
IF %2. == hc. GOTO NOSERV
IF %2. == DS. GOTO Ds
IF %2. == ds. GOTO Ds
GOTO INVALID
:SERVER
IF NOT EXIST %1\CONFIG.SYS GOTO S_CONFIG
COPY %1\CONFIG.SYS+SCONFIG.SYS %1\CONFIG.SYS >nul
GOTO Fd
:S_CONFIG
COPY SCONFIG.SYS %1\CONFIG.SYS >nul
GOTO Fd
:NOSERV
IF NOT EXIST %1\CONFIG.SYS GOTO R_CONFIG
COPY %1\CONFIG.SYS+RCONFIG.SYS %1\CONFIG.SYS >nul
GOTO DUBL_CHK
:R_CONFIG
COPY RCONFIG.SYS %1\CONFIG.SYS >nul
:DUBL_CHK
IF %2. == FD. GOTO Fd
IF %2. == fd. GOTO Fd
IF %2. == HC. GOTO Hc
IF %2. == hc. GOTO Hc
GOTO INVALID
:Fd
IF EXIST %1\NETWORK\*.* GOTO JUMP1
MD %1\NETWORK >nul
:JUMP1
IF NOT EXIST %1\NETWORK\NETWORK1.SCN GOTO JUMP5
DEL  %1\NETWORK\NETWORK1.SCN
:JUMP5
COPY APPEND.COM %1\NETWORK >nul
COPY INSTALL.BAT %1\NETWORK >nul
COPY MODE.COM %1\NETWORK >nul
COPY NET.COM %1\NETWORK >nul
COPY NETWORK.MSG %1\NETWORK >nul
COPY NETWORK1.CMD %1\NETWORK >nul
COPY NETWORK2.CMD %1\NETWORK >nul
COPY NETWORK3.CMD %1\NETWORK >nul
COPY PERMIT.COM %1\NETWORK >nul
COPY PQ.SPL %1\NETWORK >nul
COPY PQ.SEP %1\NETWORK >nul
COPY PQ.OEM %1\NETWORK >nul
COPY PSPRINT.EXE %1\NETWORK >nul
COPY RECEIVER.COM %1\NETWORK >nul
COPY REDIR.EXE %1\NETWORK >nul
COPY SHARE.EXE %1\NETWORK >nul
COPY YNPROMPT.COM %1\NETWORK >nul
COPY NETBIOS.COM %1\NETWORK >nul
COPY NETWORK1.SCN %1\NETWORK >nul
IF NOT EXIST %1\NETWORK\NETWORK1.SCN GOTO NO_COPY
GOTO FIN
:Hc
IF EXIST %1\NETWORK\*.* GOTO JUMP2
MD %1\NETWORK >nul
:JUMP2
IF NOT EXIST %1\NETWORK\NETWORK1.SCN GOTO JUMP6
DEL  %1\NETWORK\NETWORK1.SCN
:JUMP6
COPY APPEND.COM %1\NETWORK >nul
COPY MODE.COM %1\NETWORK >nul
COPY NET.COM %1\NETWORK >nul
COPY NETWORK.MSG %1\NETWORK >nul
COPY NETWORK1.CMD %1\NETWORK >nul
COPY NETWORK2.CMD %1\NETWORK >nul
COPY PERMIT.COM %1\NETWORK >nul
COPY RECEIVER.COM %1\NETWORK >nul
COPY REDIR.EXE %1\NETWORK >nul
COPY YNPROMPT.COM %1\NETWORK >nul
COPY NETBIOS.COM %1\NETWORK >nul
COPY NETWORK1.SCN %1\NETWORK >nul
IF NOT EXIST %1\NETWORK\NETWORK1.SCN GOTO NO_COPY
GOTO FIN
:Ds
IF NOT EXIST %1\CONFIG.SYS GOTO DSCONFIG
COPY %1\CONFIG.SYS+RCONFIG.SYS %1\CONFIG.SYS >nul
GOTO NEIN_DS
:DSCONFIG
COPY RCONFIG.SYS %1\CONFIG.SYS >nul
:NEIN_DS
IF NOT EXIST %1\NETWORK1.SCN GOTO JUMP7
DEL  %1\NETWORK1.SCN
:JUMP7
COPY APPEND.COM %1\ >nul
COPY MODE.COM %1\ >nul
COPY NET.COM %1\ >nul
COPY NETWORK.MSG %1\ >nul
COPY NETWORK1.CMD %1\ >nul
COPY NETWORK2.CMD %1\ >nul
COPY PERMIT.COM %1\ >nul
COPY RECEIVER.COM %1\ >nul
COPY REDIR.EXE %1\ >nul
COPY YNPROMPT.COM %1\ >nul
COPY NETBIOS.COM %1\ >nul
COPY NETWORK1.SCN %1\ >nul
IF NOT EXIST %1\NETWORK1.SCN GOTO NO_COPY
GOTO FIN
:MISSING
ECHO Error: missing parameter(s)
GOTO END
:INVALID
ECHO Error: invalid parameter(s)
GOTO END
:TOOMANY
ECHO Error: too many parameters
GOTO END
:BADDRIVE
ECHO Error: invalid drive
GOTO END
:NO_NET
ECHO Error: PC Network Program not found on current drive
GOTO END
:NO_COPY
ECHO Error: PC Network Program not installed; insufficient disk space
GOTO END
:FIN
ECHO Installation is completed...
:END
